Module org.xerial.sqlitejdbc
Package org.sqlite

## Class SQLiteException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.sql.SQLException
      - - org.sqlite.SQLiteException

All Implemented Interfaces:
  `Serializable`, `Iterable<Throwable>`

    public class SQLiteException
    extends SQLException

See Also:
  Serialized Form

### Constructor Summary

Constructors
`SQLiteException​(String message, SQLiteErrorCode resultCode)`

### Method Summary

All Methods Instance Methods Concrete Methods
`SQLiteErrorCode` `getResultCode()`

### Methods inherited from class java.sql.SQLException

`getErrorCode, getNextException, getSQLState, iterator, setNextException`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface java.lang.Iterable

`forEach, spliterator`

### Constructor Detail

#### SQLiteException

    public SQLiteException​(String message,
                           SQLiteErrorCode resultCode)

### Method Detail

#### getResultCode

    public SQLiteErrorCode getResultCode()